Bug 150758 - Bad: Sendmail no longer compiles - undefined reference to `db_version`
Summary: Bad: Sendmail no longer compiles - undefined reference to `db_version`
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-10 10:32 UTC by Oliver Falk
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 15:31:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Falk 2005-03-10 10:32:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
cc -o sendmail  -L/usr/kerberos/lib main.o alias.o arpadate.o bf.o collect.o conf.o control.o convtime.o daemon.o deliver.o domain.o envelope.o err.o headers.o macro.o map.o mci.o milter.o mime.o parseaddr.o queue.o ratectrl.o readcf.o recipient.o sasl.o savemail.o sfsasl.o shmticklib.o sm_resolve.o srvrsmtp.o stab.o stats.o sysexits.o timers.o tls.o trace.o udb.o usersmtp.o util.o version.o     -lssl -lcrypto  /var/hosting/INTERNAL/LKERNAT/home/oliver/cvs/Fedora/devel/sendmail/sendmail-8.13.3/obj.Linux.2.6.10.i686/libsmutil/libsmutil.a /var/hosting/INTERNAL/LKERNAT/home/oliver/cvs/Fedora/devel/sendmail/sendmail-8.13.3/obj.Linux.2.6.10.i686/libsm/libsm.a  -ldb -lbind -lcrypt -lnsl -lnsl -lwrap -lhesiod -lcrypt -ldb -pie -lsasl2 -lcrypto -lldap -llber -lssl -lcrypto  
conf.o(.text+0x3683): In function `setdefaults':
/var/hosting/INTERNAL/LKERNAT/home/oliver/cvs/Fedora/devel/sendmail/sendmail-8.13.3/obj.Linux.2.6.10.i686/sendmail/conf.c:482: undefined reference to `db_version'
map.o(.text+0x8643): In function `db_map_open':
/var/hosting/INTERNAL/LKERNAT/home/oliver/cvs/Fedora/devel/sendmail/sendmail-8.13.3/obj.Linux.2.6.10.i686/sendmail/map.c:2093: undefined reference to `db_create'
udb.o(.text+0x3dc): In function `_udbx_init':
/var/hosting/INTERNAL/LKERNAT/home/oliver/cvs/Fedora/devel/sendmail/sendmail-8.13.3/obj.Linux.2.6.10.i686/sendmail/udb.c:999: undefined reference to `db_create'
collect2: ld returned 1 exit status
make[1]: *** [sendmail] Error 1

Version-Release number of selected component (if applicable):
sendmail-8.13.3-1.1

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 3 from CD(s)/DVD
2. Upgrade with yum to Fedora Core Development Tree (as of today [Thu Mar 10])
3. Try to rebuild sendmail
  

Additional info:

Comment 1 Thomas Woerner 2005-03-17 15:31:48 UTC
Please update to the latest Fedora Core Development packages. This fixes this
problem.


Note You need to log in before you can comment on or make changes to this bug.